Index DocumentAsk AIpost https://api.locusive.com/v1/documentsThis endpoint accepts a document or document snippet and adds it to the index for use as a trusted source of information for queries or chats.Body ParamsnamestringrequiredThe name of the document or document snippet. While this is not required, it is strongly recommended to provide a name for each document or snippet.descriptionstringA short summary or description of the content in the text fielduriurlThe URI/URL to associate with a document or snippet. If this is provided but no text is provided, Locusive's system will download and parse the content at the provided URI/URL. Only public webpages and PDFs are supported (i.e. the system will throw an error if you give it a URL for a Google Doc, Google Sheet, etc).textstringThe actual content of the document for indexing. Either this or the uri field must be provided.Responses 201Document indexed successfully 400Bad request 403Permission denied 500Internal errorUpdated about 1 year ago